## org.eclipse.m2m.atl.adt.debug.ui
Class AtlBreakpointImageProvider

    java.lang.Object
      org.eclipse.m2m.atl.adt.debug.ui.AtlBreakpointImageProvider

All Implemented Interfaces:
  org.eclipse.ui.texteditor.IAnnotationImageProvider

    public class AtlBreakpointImageProvider

extends java.lang.Object
implements org.eclipse.ui.texteditor.IAnnotationImageProvider

The ATL breakpoint image provider.

Constructor Summary
`AtlBreakpointImageProvider()`

Method Summary
`org.eclipse.jface.resource.ImageDescriptor` `getImageDescriptor(java.lang.String imageDescritporId)`
`java.lang.String` `getImageDescriptorId(org.eclipse.jface.text.source.Annotation annotation)`
`org.eclipse.swt.graphics.Image` `getManagedImage(org.eclipse.jface.text.source.Annotation annotation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AtlBreakpointImageProvider

    public AtlBreakpointImageProvider()

Method Detail

### getManagedImage

    public org.eclipse.swt.graphics.Image getManagedImage(org.eclipse.jface.text.source.Annotation annotation)

  Specified by:
    `getManagedImage` in interface `org.eclipse.ui.texteditor.IAnnotationImageProvider`
  See Also:
    `IAnnotationImageProvider.getManagedImage(org.eclipse.jface.text.source.Annotation)`

### getImageDescriptorId

    public java.lang.String getImageDescriptorId(org.eclipse.jface.text.source.Annotation annotation)

  Specified by:
    `getImageDescriptorId` in interface `org.eclipse.ui.texteditor.IAnnotationImageProvider`
  See Also:
    `IAnnotationImageProvider.getImageDescriptorId(org.eclipse.jface.text.source.Annotation)`

### getImageDescriptor

    public org.eclipse.jface.resource.ImageDescriptor getImageDescriptor(java.lang.String imageDescritporId)

  Specified by:
    `getImageDescriptor` in interface `org.eclipse.ui.texteditor.IAnnotationImageProvider`
  See Also:
    `IAnnotationImageProvider.getImageDescriptor(java.lang.String)`

Copyright 2007 IBM Corporation and others. All Rights Reserved.